<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CMakeRunConfigurationManager" shouldGenerate="true" shouldDeleteObsolete="true">
    <generated>
      <config projectName="3test" targetName="3" />
    </generated>
  </component>
  <component name="CMakeSettings">
    <configurations>
      <configuration PROFILE_NAME="Debug" CONFIG_NAME="Debug" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="5a70b681-8358-41a5-b5db-6497532ff8fb" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/cmake-build-debug/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ClangdSettings">
    <option name="formatViaClangd" value="false" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/TestStage3.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="382">
              <caret line="64" column="29" lean-forward="true" selection-start-line="64" selection-start-column="29" selection-end-line="64" selection-end-column="29" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/SimuladorEntradas.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="162">
              <caret line="21" column="25" selection-start-line="21" selection-start-column="25" selection-end-line="21" selection-end-column="25" />
              <folding>
                <element signature="e#99#135#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/SemaforoDeGiro.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="108">
              <caret line="6" column="24" selection-start-line="4" selection-end-line="46" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/SemaforoDeGiro.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="384">
              <caret line="33" column="2" lean-forward="true" selection-start-line="33" selection-start-column="2" selection-end-line="33" selection-end-column="2" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Controlador.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="294">
              <caret line="59" column="1" lean-forward="true" selection-end-line="59" selection-end-column="1" />
              <folding>
                <element signature="e#42#66#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Controlador.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="468">
              <caret line="26" column="23" lean-forward="true" selection-end-line="26" selection-end-column="23" />
              <folding>
                <element signature="e#86#122#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/MyTimer.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="162">
              <caret line="9" column="47" selection-start-line="9" selection-start-column="47" selection-end-line="9" selection-end-column="47" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/MyTimer.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="360">
              <caret line="20" column="6" selection-start-line="20" selection-start-column="6" selection-end-line="20" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/SimuladorEntradas.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="234">
              <caret line="14" column="19" selection-start-line="14" selection-start-column="19" selection-end-line="14" selection-end-column="19" />
              <folding>
                <element signature="e#42#72#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="31" lean-forward="true" selection-start-column="31" selection-end-column="31" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/DetectordeRequerimiento.cpp" />
        <option value="$PROJECT_DIR$/Listener.h" />
        <option value="$PROJECT_DIR$/DetectorDeRequerimiento.h" />
        <option value="$PROJECT_DIR$/DetectorDeRequerimiento.cpp" />
        <option value="$PROJECT_DIR$/MyListener.h" />
        <option value="$PROJECT_DIR$/cmake-build-debug/introsensor.txt" />
        <option value="$PROJECT_DIR$/cmake-build-debug/entradasensor.txt" />
        <option value="$PROJECT_DIR$/Controlador.h" />
        <option value="$PROJECT_DIR$/SemaforoDeGiro.h" />
        <option value="$PROJECT_DIR$/SemaforoDeGiro.cpp" />
        <option value="$PROJECT_DIR$/SimuladorEntradas.h" />
        <option value="$PROJECT_DIR$/SimuladorEntradas.cpp" />
        <option value="$PROJECT_DIR$/MyTimer.h" />
        <option value="$PROJECT_DIR$/Controlador.cpp" />
        <option value="$PROJECT_DIR$/MyListener.cpp" />
        <option value="$PROJECT_DIR$/MyTimer.cpp" />
        <option value="$PROJECT_DIR$/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/TestStage3.cpp" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="25" />
    <option name="width" value="1366" />
    <option name="height" value="743" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="3test" type="b2602c69:ProjectViewProjectNode" />
              <item name="3test" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/cmake-build-debug" />
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/cmake-build-debug/CMakeFiles" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="3" type="CMakeRunConfiguration" factoryName="Application" PROGRAM_PARAMS="&quot;entradasensor.txt&quot;" PASS_PARENT_ENVS_2="true" PROJECT_NAME="3test" TARGET_NAME="3" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="3test" RUN_TARGET_NAME="3">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="5a70b681-8358-41a5-b5db-6497532ff8fb" name="Default Changelist" comment="" />
      <created>1564426867370</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1564426867370</updated>
      <workItem from="1564426869159" duration="18235000" />
      <workItem from="1564451894238" duration="2058000" />
      <workItem from="1564453966376" duration="21000" />
      <workItem from="1564454007006" duration="152000" />
      <workItem from="1564459219535" duration="758000" />
      <workItem from="1564460056174" duration="1454000" />
    </task>
    <task id="LOCAL-00001" summary="Termino de la etapa 2. Correccion al instanciar una clase dentro de una&#10;clase, usando new y guardando el puntero en la clase simuladordeentradas.&#10;Inicio de la etapa 3, creacion de archivos mínimos.">
      <created>1564436573997</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1564436573998</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="22678000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="25" width="1366" height="743" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.27575758" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.26058632" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39974126" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" weight="0.32736155" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="11" />
      <window_info anchor="bottom" id="CMake" order="12" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
    <layout-to-restore>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.33673468" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="0" />
      <window_info anchor="bottom" id="Event Log" order="1" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" order="2" />
      <window_info anchor="bottom" id="Version Control" order="3" />
      <window_info anchor="bottom" id="CMake" order="4" />
      <window_info anchor="bottom" id="Message" order="5" />
      <window_info anchor="bottom" id="Find" order="6" />
      <window_info anchor="bottom" id="Run" order="7" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="9" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="10" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="11" />
      <window_info anchor="right" id="Database" order="0" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="1" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Termino de la etapa 2. Correccion al instanciar una clase dentro de una&#10;clase, usando new y guardando el puntero en la clase simuladordeentradas.&#10;Inicio de la etapa 3, creacion de archivos mínimos." />
    <option name="LAST_COMMIT_MESSAGE" value="Termino de la etapa 2. Correccion al instanciar una clase dentro de una&#10;clase, usando new y guardando el puntero en la clase simuladordeentradas.&#10;Inicio de la etapa 3, creacion de archivos mínimos." />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/DetectordeRequerimiento.h" />
    <entry file="file://$PROJECT_DIR$/DetectordeRequerimiento.cpp" />
    <entry file="file://$PROJECT_DIR$/SimuladorDeEntradas.cpp" />
    <entry file="file://$PROJECT_DIR$/SimuladorDeEntradas.h" />
    <entry file="file://$PROJECT_DIR$/main.cpp" />
    <entry file="file:///usr/include/c++/7/thread">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="236">
          <caret line="121" selection-start-line="121" selection-end-line="121" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cmake-build-debug/CMakeFiles/introsensor.txt" />
    <entry file="file:///usr/include/c++/7/bits/stringfwd.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="128">
          <caret line="73" column="32" selection-start-line="73" selection-start-column="32" selection-end-line="73" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cmake-build-debug/CMakeFiles/Makefile2" />
    <entry file="file://$PROJECT_DIR$/cmake-build-debug/entradasensor.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="7" column="1" lean-forward="true" selection-start-line="7" selection-start-column="1" selection-end-line="7" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Listener.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="10" column="6" selection-start-line="10" selection-start-column="6" selection-end-line="10" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MyListener.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="486">
          <caret line="27" column="2" lean-forward="true" selection-start-line="27" selection-start-column="2" selection-end-line="27" selection-end-column="2" />
          <folding>
            <element signature="e#85#106#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MyListener.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MyTimer.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="9" column="47" selection-start-line="9" selection-start-column="47" selection-end-line="9" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MyTimer.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="20" column="6" selection-start-line="20" selection-start-column="6" selection-end-line="20" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/DetectorDeRequerimiento.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="4" column="9" selection-start-line="4" selection-start-column="9" selection-end-line="4" selection-end-column="9" />
          <folding>
            <element signature="e#42#78#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/DetectorDeRequerimiento.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="2" column="2" selection-start-line="2" selection-start-column="2" selection-end-line="2" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="31" lean-forward="true" selection-start-column="31" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SemaforoDeGiro.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="108">
          <caret line="6" column="24" selection-start-line="4" selection-end-line="46" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SemaforoDeGiro.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="384">
          <caret line="33" column="2" lean-forward="true" selection-start-line="33" selection-start-column="2" selection-end-line="33" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SimuladorEntradas.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="21" column="25" selection-start-line="21" selection-start-column="25" selection-end-line="21" selection-end-column="25" />
          <folding>
            <element signature="e#99#135#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SimuladorEntradas.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="14" column="19" selection-start-line="14" selection-start-column="19" selection-end-line="14" selection-end-column="19" />
          <folding>
            <element signature="e#42#72#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Controlador.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="59" column="1" lean-forward="true" selection-end-line="59" selection-end-column="1" />
          <folding>
            <element signature="e#42#66#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Controlador.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="468">
          <caret line="26" column="23" lean-forward="true" selection-end-line="26" selection-end-column="23" />
          <folding>
            <element signature="e#86#122#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/TestStage3.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="382">
          <caret line="64" column="29" lean-forward="true" selection-start-line="64" selection-start-column="29" selection-end-line="64" selection-end-column="29" />
        </state>
      </provider>
    </entry>
  </component>
</project>